summaryrefslogtreecommitdiff
path: root/games-engines/openmw/openmw-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'games-engines/openmw/openmw-9999.ebuild')
-rw-r--r--games-engines/openmw/openmw-9999.ebuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/games-engines/openmw/openmw-9999.ebuild b/games-engines/openmw/openmw-9999.ebuild
index 87ccb2e1..81cf4471 100644
--- a/games-engines/openmw/openmw-9999.ebuild
+++ b/games-engines/openmw/openmw-9999.ebuild
@@ -1,4 +1,4 @@
-# By Eroen, 2013
+# By Eroen, 2013-2014
# Distributed under the terms of the ISC license
# $Header: $
@@ -14,7 +14,7 @@ SLOT="0"
KEYWORDS=""
IUSE="+launcher minimal +opencs profile test +tr1"
-if [[ $(get_version_component_range $(get_version_component_count)) == *999? ]]; then
+if [[ ${PV} == *999? ]]; then
EGIT_REPO_URI="git://github.com/zinnschlag/openmw.git"
if [[ $(get_version_component_count) -ge 4 ]]; then
EGIT_BRANCH=openmw$(get_version_component_range 2)
@@ -82,9 +82,9 @@ src_configure() {
}
src_test() {
- pushd "${BUILD_DIR}" > /dev/null
+ pushd "${BUILD_DIR}" > /dev/null || die
./openmw_test_suite || die
- popd > /dev/null
+ popd > /dev/null || die
}
src_install() {